Sendexa LogoDocs

Make a Call

Initiate outbound phone calls and optionally bridge them or execute custom voice instructions.

Programmable Voice

Initiate outbound voice calls to any phone number programmatically.

Real-time Call Control

Control the flow of the call with TwiML-like instructions and dynamic webhooks.

Global Reach

High quality routes to deliver voice calls to local and international numbers.

Setup Time

< 3s

To ring

Cost per Minute

₵0.12

Local numbers

Max Duration

4h

Per call limit

Rate Limit

20/s

Calls per second

POST
/v1/voice/call
Core
Stable

Request Body

application/json
JSON
{
"to": "0555539152",
"from": "0241234567",
"actionUrl": "https://api.myapp.com/voice/instructions",
"statusCallbackUrl": "https://api.myapp.com/voice/status"
}

Response

JSON
{
"success": true,
"message": "Call initiated",
"data": {
"callId": "call_xyz123abc",
"status": "queued",
"to": "233555539152",
"from": "233241234567"
}
}

Try It Yourself

POST
https://api.sendexa.co/v1/voice/call

Code Examples

Bash
curl -X POST 'https://api.sendexa.co/v1/voice/call' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic YOUR_DASHBOARD_BASE64_TOKEN' \
-d '{
"to": "0555539152",
"from": "0241234567",
"actionUrl": "https://api.myapp.com/voice/instructions"
}'